Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.prep
Class PreparedPolygonIntersects

    java.lang.Object
      com.vividsolutions.jts.geom.prep.PreparedPolygonPredicate
          com.vividsolutions.jts.geom.prep.PreparedPolygonIntersects

public class PreparedPolygonIntersects
extends PreparedPolygonPredicate

Computes the `intersects` spatial relationship predicate for `PreparedPolygon`s relative to all other `Geometry` classes. Uses short-circuit tests and indexing to improve performance.

Author:
  Martin Davis

Field Summary

Fields inherited from class com.vividsolutions.jts.geom.prep.PreparedPolygonPredicate
`prepPoly`

Constructor Summary
`PreparedPolygonIntersects(PreparedPolygon prepPoly)` Creates an instance of this operation.

Method Summary
`boolean` | `intersects(Geometry geom)` Tests whether this PreparedPolygon intersects a given geometry.
`static boolean` | `intersects(PreparedPolygon prep, Geometry geom)` Computes the intersects predicate between a `PreparedPolygon` and a `Geometry`.

Methods inherited from class com.vividsolutions.jts.geom.prep.PreparedPolygonPredicate
`isAllTestComponentsInTarget, isAllTestComponentsInTargetInterior, isAnyTargetComponentInAreaTest, isAnyTestComponentInTarget, isAnyTestComponentInTargetInterior`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreparedPolygonIntersects

    public PreparedPolygonIntersects(PreparedPolygon prepPoly)

  Creates an instance of this operation.

Parameters:
  `prepPoly` - the PreparedPolygon to evaluate

Method Detail

### intersects

    public static boolean intersects(PreparedPolygon prep,
                                     Geometry geom)

  Computes the intersects predicate between a `PreparedPolygon` and a `Geometry`.

  Parameters:
    `prep` - the prepared polygon
    `geom` - a test geometry
  Returns:
    true if the polygon intersects the geometry

### intersects

    public boolean intersects(Geometry geom)

  Tests whether this PreparedPolygon intersects a given geometry.

  Parameters:
    `geom` - the test geometry
  Returns:
    true if the test geometry intersects

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD